# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ryo-plugin-api"
version = "0.1.0"
authors = ["Yutaka Nishimura"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "[experimental] WebAssembly Interface Types for ryo mutation plugins"
homepage = "https://github.com/ynishi/ryo-rs"
readme = "README.md"
keywords = [
    "wasm",
    "plugin",
    "wit",
    "wasmtime",
    "interface",
]
categories = [
    "wasm",
    "development-tools::ffi",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ynishi/ryo-rs"

[features]
default = []

[lib]
name = "ryo_plugin_api"
path = "src/lib.rs"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.wit-bindgen]
version = "0.35"
